# EU Entry Rules

Last Updated: 02/10/2022

There is no guarantee that the information on this page is accurate and up-to-date.

The data is based on the information provided by [ec.europa.eu](https://ec.europa.eu/info/live-work-travel-eu/coronavirus-response/safe-covid-19-vaccines-europeans/eu-digital-covid-certificate_en).

**Latest News**

On 21 December 2021, the European Commission adopted rules relating to the EU digital COVID certificate establishing a validity of 9 months or 270 days once 14 days have passed after the completion of the primary vaccination cycle.

In addition, the rules for the encoding of vaccination certificates will be adapted to take into account booster shots. Boosters will be recorded as follows:

- 3/3 for a booster dose following a primary 2-dose vaccination series
- 2/1 for a booster dose following a single-dose vaccination or a one dose of a 2-dose vaccine administered to a recovered person

The new rules will apply as of 1 February 2022.

[Press Release](https://ec.europa.eu/commission/presscorner/detail/en/ip_21_6837)

## Immunization

| Vaccine         | Medical Product | Dose | Status               | ValidFrom | ValidTo  | Note                                                     |
| --------------- | --------------- | ---- | -------------------- | --------- | -------- | -------------------------------------------------------- |
| BioNTech        | EU/1/20/1528    | 1/2  | Partial Immunization | -         | -        |                                                          |
| BioNTech        | EU/1/20/1528    | 2/2  | Full Immunization    | 14 days   | 270 days |                                                          |
| BioNTech        | EU/1/20/1528    | 1/1  | Full Immunization    | 14 days   | 270 days | Full Immunization after recovery                         |
| BioNTech        | EU/1/20/1528    | 3/3  | Booster              | -         | -        | Booster after full immunization ((dn == sd) && sd > 2)   |
| BioNTech        | EU/1/20/1528    | 2/1  | Booster              | -         | -        | Booster after full immunization after recovery (dn > sd) |
|                 |                 |      |                      |           |          |                                                          |
| Moderna         | EU/1/20/1507    | 1/2  | Partial Immunization | -         | -        |                                                          |
| Moderna         | EU/1/20/1507    | 2/2  | Full Immunization    | 14 days   | 270 days |                                                          |
| Moderna         | EU/1/20/1507    | 1/1  | Full Immunization    | 14 days   | 270 days | Full Immunization after recovery                         |
| Moderna         | EU/1/20/1507    | 3/3  | Booster              | -         | -        | Booster after full immunization ((dn == sd) && sd > 2)   |
| Moderna         | EU/1/20/1507    | 2/1  | Booster              | -         | -        | Booster after full immunization after recovery (dn > sd) |
|                 |                 |      |                      |           |          |                                                          |
| AstraZeneca     | EU/1/21/1529    | 1/2  | Partial Immunization | -         | -        |                                                          |
| AstraZeneca     | EU/1/21/1529    | 2/2  | Full Immunization    | 14 days   | 270 days |                                                          |
| AstraZeneca     | EU/1/21/1529    | 1/1  | Full Immunization    | 14 days   | 270 days | Full Immunization after recovery                         |
| AstraZeneca     | EU/1/21/1529    | 3/3  | Booster              | -         | -        | Booster after full immunization ((dn == sd) && sd > 2)   |
| AstraZeneca     | EU/1/21/1529    | 2/1  | Booster              | -         | -        | Booster after full immunization after recovery (dn > sd) |
|                 |                 |      |                      |           |          |                                                          |
| Novavax         | EU/1/21/1618    | 1/2  | Partial Immunization | -         | -        |                                                          |
| Novavax         | EU/1/21/1618    | 2/2  | Full Immunization    | 14 days   | 270 days |                                                          |
| Novavax         | EU/1/21/1618    | 1/1  | Full Immunization    | 14 days   | 270 days | Full Immunization after recovery                         |
| Novavax         | EU/1/21/1618    | 3/3  | Booster              | -         | -        | Booster after full immunization ((dn == sd) && sd > 2)   |
| Novavax         | EU/1/21/1618    | 2/1  | Booster              | -         | -        | Booster after full immunization after recovery (dn > sd) |
|                 |                 |      |                      |           |          |                                                          |
| Johnson&Johnson | EU/1/20/1525    | 1/1  | Full Immunization    | 14 days   | 270 days |                                                          |
| Johnson&Johnson | EU/1/20/1525    | 2/2  | Booster              | -         | -        | Booster after full immunization ((dn == sd) && sd > 1)   |
| Johnson&Johnson | EU/1/20/1525    | 2/1  | Booster              | -         | -        | Booster after full immunization (dn > sd)                |

## Recovery

| Status    | ValidFrom | ValidTo  | Note                                                       |
| --------- | --------- | -------- | ---------------------------------------------------------- |
| Recovered | 11 days   | 180 days | Recovered since date of the first positive PCR test result |

## Test

| Type                   | Max      |
| ---------------------- | -------- |
| negative PCR           | 72 hours |
| negative rapid antigen | 24 hours |
